# https://docs.getpelican.com/en/latest/settings.html

# Basic Settings

USE_FOLDER_AS_CATEGORY = True
DELETE_OUTPUT_DIRECTORY = True

JINJA_ENVIRONMENT = {"trim_blocks": True, "lstrip_blocks": True}

MARKDOWN = {
    "extension_configs": {
        "markdown.extensions.codehilite": {"css_class": "highlight"},
        "markdown.extensions.extra": {},
        "markdown.extensions.nl2br": {},
        "markdown.extensions.toc": {
            "title": "Table of Contents",
            "anchorlink": True,
            "baselevel": 2,
        },
    },
    "output_format": "html5",
}

PATH = "content"

SITENAME = "Hate-Bit"
SITEURL = ""

STATIC_PATHS = ["extra"]


# URL Settings

AUTHOR_SAVE_AS = AUTHORS_SAVE_AS = ""
CATEGORY_SAVE_AS = CATEGORIES_SAVE_AS = ""
INDEX_SAVE_AS = ""
TAG_SAVE_AS = TAGS_SAVE_AS = ""

ARCHIVES_SAVE_AS = "index.html"
ARTICLE_SAVE_AS = ARTICLE_URL = "{category}/{slug}.html"
PAGE_SAVE_AS = PAGE_URL = "{slug}.html"

SLUGIFY_USE_UNICODE = True


# Time and Date

TIMEZONE = "Europe/Prague"
DEFAULT_DATE_FORMAT = "%Y-%m-%d"


# Metadata

EXTRA_PATH_METADATA = {
    "extra/robots.txt": {"path": "robots.txt"},
}


# Feed Settings

FEED_ALL_ATOM = "feeds/all.atom.xml"

AUTHOR_FEED_ATOM = None
AUTHOR_FEED_RSS = None
CATEGORY_FEED_ATOM = None
TRANSLATION_FEED_ATOM = None


# Translations

DEFAULT_LANG = "en"


# Themes

THEME = "theme"

MENUITEMS = [
    ("posts", ""),
    ("series", "series.html"),
    ("about", "about.html"),
]

SOCIAL = [
    ("email", "mailto:admin@hatebit.org"),
    ("git", "https://hatebit.org/"),
    ("feed", f"{SITEURL}/{FEED_ALL_ATOM}"),
]


# Plugins

# https://github.com/pelican-plugins/sitemap
SITEMAP = {
    "format": "xml",
    "priorities": {"articles": 0.5, "indexes": 0.5, "pages": 0.5},
    "changefreqs": {"articles": "monthly", "indexes": "daily", "pages": "monthly"},
}
